This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 849306 - SELinux is preventing /usr/lib/dbus-1/dbus-daemon-launch-helper from 'execute' accesses on the file jockey-backend.
SELinux is preventing /usr/lib/dbus-1/dbus-daemon-launch-helper from 'execute...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c057ed39145d527f5b873a6b718...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 23:27 EDT by Raj Upadhyaya
Modified: 2012-10-17 04:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raj Upadhyaya 2012-08-17 23:27:31 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.2-1.fc17.i686
time:           Fri 17 Aug 2012 10:26:34 PM CDT

description:
:SELinux is preventing /usr/lib/dbus-1/dbus-daemon-launch-helper from 'execute' accesses on the file jockey-backend.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore dbus-daemon-launch-helper trying to execute access the jockey-backend file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/lib/dbus-1/dbus-daemon-launch-helper /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that dbus-daemon-launch-helper should be allowed execute access on the jockey-backend file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dbus-daemon-lau /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:unlabeled_t:s0
:Target Objects                jockey-backend [ file ]
:Source                        dbus-daemon-lau
:Source Path                   /usr/lib/dbus-1/dbus-daemon-launch-helper
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           dbus-1.4.10-4.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-1.fc17.i686 #1 SMP Wed Aug
:                              15 16:52:27 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    2012-08-17 22:25:30 CDT
:Last Seen                     2012-08-17 22:25:30 CDT
:Local ID                      80d663f3-ecbc-43ad-a4f1-d881e46433c2
:
:Raw Audit Messages
:type=AVC msg=audit(1345260330.645:187): avc:  denied  { execute } for  pid=3499 comm="dbus-daemon-lau" name="jockey-backend" dev="dm-1" ino=919326 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1345260330.645:187): arch=i386 syscall=execve success=no exit=EACCES a0=9eab028 a1=9eaa4e8 a2=9eaa008 a3=1 items=0 ppid=3498 pid=3499 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=dbus-daemon-lau exe=/usr/lib/dbus-1/dbus-daemon-launch-helper subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: dbus-daemon-lau,system_dbusd_t,unlabeled_t,file,execute
:
:audit2allow
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t unlabeled_t:file execute;
:
:audit2allow -R
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t unlabeled_t:file execute;
:
Comment 1 Miroslav Grepl 2012-08-20 05:48:12 EDT
Do you know what you were doing when this happened?

Did you remove jockey policy module? What does

# semodule -l  |grep jockey
Comment 2 Raj Upadhyaya 2012-08-20 05:59:33 EDT
#semodule -l  |grep jockey
jockey	1.0.0	



I think I was just installing jockey.
Comment 3 Daniel Walsh 2012-08-20 06:34:16 EDT
If you run restorecon -v jockey-backend 

What happens?
Comment 4 Raj Upadhyaya 2012-08-20 07:13:14 EDT
# restorecon -v jockey-backend
restorecon:  lstat(jockey-backend) failed:  No such file or directory
Comment 5 Miroslav Grepl 2012-08-20 07:51:13 EDT
restorecon -v /usr/share/jockey/jockey-backend

Note You need to log in before you can comment on or make changes to this bug.